Get company balance
curl --request GET \
--url https://gate.chip-in.asia/api/v1/account/json/balance/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://gate.chip-in.asia/api/v1/account/json/balance/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gate.chip-in.asia/api/v1/account/json/balance/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gate.chip-in.asia/api/v1/account/json/balance/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gate.chip-in.asia/api/v1/account/json/balance/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gate.chip-in.asia/api/v1/account/json/balance/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gate.chip-in.asia/api/v1/account/json/balance/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"MYR": {
"balance": 93408,
"fee_sell": 0,
"reserved": 0,
"gross_balance": 93408,
"pending_outgoing": 0,
"available_balance": 93408
},
"RUB": {
"balance": 1111840,
"fee_sell": 360,
"reserved": 0,
"gross_balance": 1112200,
"pending_outgoing": 0,
"available_balance": 1111840
},
"USD": {
"balance": -35420,
"fee_sell": 1880,
"reserved": 0,
"gross_balance": -33540,
"pending_outgoing": 0,
"available_balance": -35420
}
}"{\n \"__all__\": {\n \"message\": \"descriptive error message\",\n \"code\": \"error_code\"\n }\n}\n"Account
Get company balance
Returns the company balance according to the provided query string filters. Multiple values can be provided for all filters except from and to, including all results matching any of these values.
GET
/
account
/
json
/
balance
/
Get company balance
curl --request GET \
--url https://gate.chip-in.asia/api/v1/account/json/balance/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://gate.chip-in.asia/api/v1/account/json/balance/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gate.chip-in.asia/api/v1/account/json/balance/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://gate.chip-in.asia/api/v1/account/json/balance/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://gate.chip-in.asia/api/v1/account/json/balance/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://gate.chip-in.asia/api/v1/account/json/balance/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://gate.chip-in.asia/api/v1/account/json/balance/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"MYR": {
"balance": 93408,
"fee_sell": 0,
"reserved": 0,
"gross_balance": 93408,
"pending_outgoing": 0,
"available_balance": 93408
},
"RUB": {
"balance": 1111840,
"fee_sell": 360,
"reserved": 0,
"gross_balance": 1112200,
"pending_outgoing": 0,
"available_balance": 1111840
},
"USD": {
"balance": -35420,
"fee_sell": 1880,
"reserved": 0,
"gross_balance": -33540,
"pending_outgoing": 0,
"available_balance": -35420
}
}"{\n \"__all__\": {\n \"message\": \"descriptive error message\",\n \"code\": \"error_code\"\n }\n}\n"Authorizations
Query Parameters
Filter result set to only include specified payment methods(s). See PaymentMethod for more information. Payment method used to execute the transaction.
- crypto_coin: Crypto Coin
- dnqr: Dnqr
- duitnow_qr: Duitnow Qr
- fpx: FPX B2C
- fpx_b2b1: FPX B2B1
- maestro: Maestro payment card
- mastercard: Mastercard payment card
- mpgs_apple_pay: Apple Pay
- mpgs_google_pay: Mpgs Google Pay
- razer: Razer
- razer_atome: Razer Atome
- razer_grabpay: Razer Grabpay
- razer_maybankqr: Razer Maybankqr
- razer_shopeepay: Razer Shopeepay
- razer_tng: Razer Tng
- shopee_pay: Shopee Pay
- unknown: Payment method could not be determined
- visa: Visa payment card
Available options:
crypto_coin, dnqr, duitnow_qr, fpx, fpx_b2b1, maestro, mastercard, mpgs_apple_pay, mpgs_google_pay, razer, razer_atome, razer_grabpay, razer_maybankqr, razer_shopeepay, razer_tng, shopee_pay, unknown, visa Filter result set to only include specified products(s). See TransactionProduct for more information. Product category the transaction belongs to.
- bank_payment: bank_payment (Payment.payment_type == "bank_payment")
- custom_payment: custom_payment (Payment.payment_type == "custom_payment")
- invoice: Purchase created as an invoice through the merchant portal
- purchase: Purchase created through the merchant API (Purchase.product == "purchases")
- refund: refund (Payment.payment_type == "refund")
- subscription: Purchase created using a subscription
Available options:
bank_payment, custom_payment, invoice, purchase, refund, subscription Filter result set to only include specified transaction creation or execution flow(s). See TransactionFlow for more information. Flow or pathway used to initiate or execute a transaction.
- api: transaction initiated via the merchant API
- direct_post: transaction executed via direct POST request
- fluentforms: transaction initialized from Fluent Forms integration
- formidableforms: transaction initialized from Formidable Forms integration
- givewp: transaction initialized from GiveWP integration
- gravityforms: transaction initialized from Gravity Forms integration
- hostbill: transaction initialized from Hostbill integration
- import: transaction imported from external system
- link: transaction initiated via shared link
- magento: transaction initialized from Magento module
- opencart: transaction initialized from OpenCart module
- payform: transaction executed via the gateway payform
- paymattic: transaction initialized from Paymattic integration
- prestashop: transaction initialized from PrestaShop module
- server_to_server: transaction executed via server to server API
- shopify: transaction initialized from Shopify integration
- web_office: transaction initiated via the merchant portal
- whmcs: transaction initialized from WHMCS integration
- woocommerce: transaction initialized from WooCommerce module
- wpcharitable: transaction initialized from WPCharitable integration
Available options:
api, direct_post, fluentforms, formidableforms, givewp, gravityforms, hostbill, import, link, magento, opencart, payform, paymattic, prestashop, server_to_server, shopify, web_office, whmcs, woocommerce, wpcharitable